Subject: Re: [PATCH v10 4/6] mfd: ioc3: Add driver for SGI IOC3 chip

From: Lee Jones <[email-masked]>
Date: Thu, 17 Oct 2019 08:14:35 +0100

On Wed, 16 Oct 2019, Jakub Kicinski wrote:

> On Wed, 16 Oct 2019 19:23:21 +0200, Thomas Bogendoerfer wrote:
> > On Tue, 15 Oct 2019 12:23:49 -0700
> > Jakub Kicinski <[email-masked]> wrote:
> > 
> > > On Tue, 15 Oct 2019 14:09:49 +0200, Thomas Bogendoerfer wrote:  
> > > > SGI IOC3 chip has integrated ethernet, keyboard and mouse interface.
> > > > It also supports connecting a SuperIO chip for serial and parallel
> > > > interfaces. IOC3 is used inside various SGI systemboards and add-on
> > > > cards with different equipped external interfaces.
> > > > 
> > > > Support for ethernet and serial interfaces were implemented inside
> > > > the network driver. This patchset moves out the not network related
> > > > parts to a new MFD driver, which takes care of card detection,
> > > > setup of platform devices and interrupt distribution for the subdevices.
> > > > 
> > > > Serial portion: Acked-by: Greg Kroah-Hartman <[email-masked]>
> > > > Acked-for-MFD-by: Lee Jones <[email-masked]>
> > > > 
> > > > Signed-off-by: Thomas Bogendoerfer <[email-masked]>  
> > > 
> > > Looks good, I think.  
> > 
> > thank you. 
> > 
> > Now how do I get an Acked-by for the network part to merge it via
> > the MIPS tree ?
> 
> Oh, via the MIPS tree? It was quite unclear which these would land it,
> at least to an untrained mind like mine :) It could be useful to
> provide some info on how you want this merged and what you expect from
> whom in the cover letter in the future.
> 
> Hopefully Dave will be able to give you an official ack.

If this does go through the MIPS tree, I shall require a pull-request
to an immutable branch.  However, I'm happy to do that if everyone's
happen with it going in via MFD.

-- 
Lee Jones [李琼斯]
Linaro Services Technical Lead
Linaro.org │ Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog